Message d'avertissement

The subscription service is currently unavailable. Please try again later.

problème pour installer CKeditor 4

Information importante

En raison d'un grand nombre d'inscriptions de spammers sur notre site, polluant sans relache notre forum, nous suspendons la création de compte via le formulaire de "sign up".

Il est néanmoins toujours possible de devenir adhérent•e en faisant la demande sur cette page, rubrique "Inscription" : https://www.drupal.fr/contact


De plus, le forum est désormais "interdit en écriture". Il n'est plus autorisé d'y écrire un sujet/billet/commentaire.

Pour contacter la communauté, merci de rejoindre le slack "drupalfrance".

Si vous voulez contacter le bureau de l'association, utilisez le formulaire disponible ici, ou envoyez-nous un DM sur twitter.

Bonjour,
Voici mon problème: depuis 4 jours j'essaie d'installer l'éditeur de texte CKEditor 4.4.8 sur Drupal 7.39; je l'ai mis dans site/all/libraries mais il n'est pas reconnu. J'ai suivi le tutorial de Christophe Aubry, mais rien. J'ai ce problème depuis que je suis passé de windows 8 à windows 8.1.
Je précise que ce site est sur Wampserver en localhost.

Au secours, j'ai dèjà perdu beaucoup de temps.
Merci

Version de Drupal : 
Tags : 

Bonjour PikaHani,

Quel module utilisez vous pour charger la librairie de CKEditor ?

Le module CKEditor ou le module Wysiwyg par exemple ?

Dans le premier cas, avez vous correctement indiqué le chemin vers la librairie dans la configuration du module ? (admin/config/content/ckeditor/editg)

Dans le second, avez-vous bien suivi les instructions et choisi le bon éditeur dans la configuration du module ?

Cordialement,
Besky

Bonjour Besky

Merci pour votre réponse,j'utilise Wysiwyg pour charger CKEditor. Finalement j'ai téléchargé CKEditor 3.6 et j'au pu l'installer sans problème.
Merci encore pour la réponse.

Pikahani

si tu veux mettre le dernier ckeditor il faut faire une modif dans modules/wysiwyg/editors/ckeditor.inc

dans la fonction wysiwyg_ckeditor_version

remplacer :
if (preg_match('@version:\'(?:CKEditor )?([\d.]+)(?:.+revision:\'([\d]+))?@', $line, $version))
par :
if (preg_match('@version:\"|\'?([\d.]+)(?:.+revision:\"|\')?@', $line, $version))